%global debug_package %{nil}
Summary:        GoOdf - Software for creating and editing GrandOrgue ODFs"
Name:           GoOdf
Version:        0.13.0
Release:        1%{?dist}
License:        GPL-3.0-only
Group:          Productivity/Multimedia/Sound/Midi
URL:            https://github.com/GrandOrgue/GoOdf
Source:         https://github.com/GrandOrgue/GoOdf/archive/refs/tags/v%{version}.tar.gz
BuildRequires: gcc-c++, cmake, wxGTK-devel, ImageMagick, desktop-file-utils

%description
GoOdf

%prep
%setup -qn %{name}-%{version}

%build
export CXXFLAGS="%{optflags} -Wl,--as-needed"
%cmake -DCMAKE_BUILD_TYPE=Release
%cmake_build

%install
%cmake_install
desktop-file-install --delete-original --dir=%{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/GoOdf/applications/GoOdf.desktop
rmdir %{buildroot}%{_datadir}/GoOdf/applications/
mkdir -p %{buildroot}%{_docdir}/%{name}
install -pm 644 README.md %{buildroot}%{_docdir}/%{name}
rm %{buildroot}/usr/LICENSE.txt
rm %{buildroot}/usr/AUTHORS

%files
%{_bindir}/*
%license LICENSE.txt
%doc %{_docdir}/%{name}
%dir %{_datadir}/GoOdf/
%{_datadir}/GoOdf/help
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*

%changelog
* Tue Jun 25 2024 Kerkovits Krisztián <kerkovitskrisztian@gmail.com> - 0.13.0-1
- Initial package
